Bug 53841 - new port: misc/gkrellm-gamma, gamma correction plugin for Gkrellm
Summary: new port: misc/gkrellm-gamma, gamma correction plugin for Gkrellm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-27 14:40 UTC by Jan Hornyak
Modified: 2003-06-29 21:14 UTC (History)
0 users

See Also:


Attachments
file.shar (1.84 KB, text/plain)
2003-06-27 14:40 UTC, Jan Hornyak
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Hornyak 2003-06-27 14:40:12 UTC
New port, misc/gkrellm-gamma, X gamma correction plugin for GKrellm.
Functionality is similar to Xclients command xgamma, now with nice graphical
representation.
Comment 1 Jan Hornyak 2003-06-29 19:26:48 UTC
>Submitter-Id:	current-users
>Originator:	Pav Lucistnik
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/53841: new port: misc/gkrellm-gamma
>Severity:	non-critical
>Priority:	low
>Category:	ports
>Class:		change-request
>Release:	FreeBSD 5.1-RELEASE i386
>Environment:
System: FreeBSD hood.oook.cz 5.1-RELEASE FreeBSD 5.1-RELEASE #1: Fri Jun 6 22:18:38 CEST 2003 root@hood.oook.cz:/usr/obj/usr/src/sys/PAV i386


	
>Description:
Update to 2.01: now supports scrolling!

>How-To-Repeat:
	
>Fix:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	gkrellm-gamma
#	gkrellm-gamma/Makefile
#	gkrellm-gamma/distinfo
#	gkrellm-gamma/pkg-plist
#	gkrellm-gamma/pkg-descr
#
echo c - gkrellm-gamma
mkdir -p gkrellm-gamma > /dev/null 2>&1
echo x - gkrellm-gamma/Makefile
sed 's/^X//' >gkrellm-gamma/Makefile << 'END-of-gkrellm-gamma/Makefile'
X# New ports collection makefile for:	gkrellm-gamma
X# Date Created:				Jun 26 2003
X# Whom:					Pav Lucistnik <pav@oook.cz>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	gkrellm-gamma
XPORTVERSION=	2.01
XCATEGORIES=	misc
XMASTER_SITES=	http://www.sweb.cz/tripie/gkrellm/gamma/dist/
X
XMAINTAINER=	pav@oook.cz
XCOMMENT=	XFree86 gamma correction plugin for GKrellM
X
XBUILD_DEPENDS=	${X11BASE}/include/gkrellm2/gkrellm.h:${PORTSDIR}/sysutils/gkrellm2
XRUN_DEPENDS=	gkrellm:${PORTSDIR}/sysutils/gkrellm2
X
XUSE_X_PREFIX=	yes
XMAKE_ENV=	PLUGIN_DIR=${PREFIX}/libexec/gkrellm2/plugins
XALL_TARGET=	gamma.so
X
X.include <bsd.port.mk>
END-of-gkrellm-gamma/Makefile
echo x - gkrellm-gamma/distinfo
sed 's/^X//' >gkrellm-gamma/distinfo << 'END-of-gkrellm-gamma/distinfo'
XMD5 (gkrellm-gamma-2.01.tar.gz) = 47e11c920c345148136a0fed1f13335e
END-of-gkrellm-gamma/distinfo
echo x - gkrellm-gamma/pkg-plist
sed 's/^X//' >gkrellm-gamma/pkg-plist << 'END-of-gkrellm-gamma/pkg-plist'
Xlibexec/gkrellm2/plugins/gamma.so
END-of-gkrellm-gamma/pkg-plist
echo x - gkrellm-gamma/pkg-descr
sed 's/^X//' >gkrellm-gamma/pkg-descr << 'END-of-gkrellm-gamma/pkg-descr'
Xgkrellm-gamma is a plugin for GKrellM. It allows you to control
Xyour monitor's gamma correction setting under XFree86.
X
XWWW: http://www.sweb.cz/tripie/gkrellm/gamma/
END-of-gkrellm-gamma/pkg-descr
exit
Comment 2 Joe Marcus Clarke freebsd_committer 2003-06-29 21:14:08 UTC
State Changed
From-To: open->closed

Committed, thanks!